From 5896a26f506767be87aaeec2f847eaccc4377e65 Mon Sep 17 00:00:00 2001
From: NikolayS <github2@samokhvalov.com>
Date: Thu, 16 Mar 2017 23:48:27 +0300
Subject: [PATCH] Fix message that wrongly uses index' name as contraint's name

---
 src/backend/access/nbtree/nbtinsert.c | 2 +-
 src/backend/po/ru.po                  | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/access/nbtree/nbtinsert.c b/src/backend/access/nbtree/nbtinsert.c
index 6dca810..a4a582c 100644
--- a/src/backend/access/nbtree/nbtinsert.c
+++ b/src/backend/access/nbtree/nbtinsert.c
@@ -426,7 +426,7 @@ _bt_check_unique(Relation rel, IndexTuple itup, Relation heapRel,
 
 						ereport(ERROR,
 								(errcode(ERRCODE_UNIQUE_VIOLATION),
-								 errmsg("duplicate key value violates unique constraint \"%s\"",
+								 errmsg("duplicate key value violates unique constraint associated with index \"%s\"",
 										RelationGetRelationName(rel)),
 							   key_desc ? errdetail("Key %s already exists.",
 													key_desc) : 0,
diff --git a/src/backend/po/ru.po b/src/backend/po/ru.po
index 5bd8059..7b5549a 100644
--- a/src/backend/po/ru.po
+++ b/src/backend/po/ru.po
@@ -1049,8 +1049,8 @@ msgstr "\"%s\" - это не индекс"
 
 #: access/nbtree/nbtinsert.c:428
 #, c-format
-msgid "duplicate key value violates unique constraint \"%s\""
-msgstr "повторяющееся значение ключа нарушает ограничение уникальности \"%s\""
+msgid "duplicate key value violates unique constraint associated with index \"%s\""
+msgstr "повторяющееся значение ключа нарушает ограничение уникальности, связанное с индексом \"%s\""
 
 #: access/nbtree/nbtinsert.c:430
 #, c-format
-- 
2.1.4

